#ifndef _BRASERO_LOG_H
#define _BRASERO_LOG_H

#include <stdio.h>
#include <sys/socket.h>
#include <sys/un.h>
#include <time.h>
#include <errno.h>
#include <pwd.h>
#include <unistd.h>
#include <string.h>
#include <syslog.h>
#include <stdlib.h>
#include <libxml/parser.h>
#include <libxml/xmlstring.h>
#include <libxml/tree.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#define TP_CONNECT_POINT  "/tmp/audit.agent.bus"
#define LOCAL_LOG_FILE    "/var/log/nfs-burner/brasero.log"
#define FILE_NAMES        "/var/log/nfs-burner/brasero.filename"

void open_log_file(void);
void write_local_log(const char *message);
int parse_xml_audit(const char *xml);
struct tm *current_time(void);

char *format_log_message(const char *filename, const char *dest_file, 
                        const char *message, const char *display_name,
                        const char *dvd_or_cd, time_t used_time);
                        
int tp_connect_audit_agent(void);
int tp_deal_register_respond(const char *tp_reg_respond);
int tp_register_self(void);
int tp_setup_communication(void);

char *tp_format_audit_log(const char *message, const char *display_name, 
                          const char *dvd_or_cd);
                          
void tp_send_audit_log(const char *message, const char *display_name, 
                          const char *dvd_or_cd);
                          
void brasero_init_log(void);

void brasero_send_log(char *filenames, char *dest_filenames, 
                      const char *message, const char *display_name, 
                      const char *dvd_or_cd, time_t used_time);

#endif
